#!/usr/bin/env bash

function step1() {
    asp_hirise_pc_align2dem.sh -d $1 -m $2 -r $3 -s $4 -i $5
    if [ $? -eq 0 ]
    then
        echo "Success asp_hirise_pc_align2dem on $(date). (1/1)"
    else
        echo "Failure asp_hirise_pc_align2dem on $(date). (1/1)" >&2
        exit 1
    fi
}

print_usage (){
    echo ""
    echo "Usage: $0 <stereodirs.lis> <max-displacement> <reference-dem> <demgsd> <imggsd>"
    echo " Where <stereodirs.lis> is a file containing the name of the subdirectories to loop over, 1 per line"
    echo " <max-displacement> is the maximum displacement to pass to pc_align (type pc_align --help for details)"
    echo " <reference-dem> is the DEM (not adjusted using dem_geoid), including path, to align the HiRISE point cloud to."
    echo " and <demgsd> and <imggsd> is the desired resolution in meters per pixel for the final DEM product and DRG product, ie: 2, 1.5, 1"
    echo " Subdirectories containing stereopairs must all exist within the same root directory"
    echo " Furthermore, the names listed in <stereodirs.lis> will be used as the file prefix for output generated by this script"
}

##########################################
# begin parsing arguments

# 1 is stereodirs.lis file
# 2 is the max-displacement in meters estimated by the user
# 3 is the reference dem, typically not the pointcloud and not the dem adjusted to a geoid

### Check for the correct number of args and hope for the best ###
if [[ $# != 5 ]] ; then
    # print usage message and exit
    print_usage
    exit 1
fi
##########################################
# begin calling commands
echo "Start hirise_pipeline_part_two $(date)"

step1 $1 $2 $3 $4 $5

# done
##########################################
echo "End   hirise_pipeline_part_two $(date)"
