#!/usr/bin/env bash

function step1() {
    asp_ctx_map_ba_pc_align2dem.sh -d $1 -m $2 -s $3
    if [ $? -eq 0 ]
    then
        echo "Success asp_ctx_map_ba_pc_align2dem on $(date). (1/1)"
    else
        echo "Failure asp_ctx_map_ba_pc_align2dem on $(date). (1/1)" >&2
        exit 1
    fi

}

print_usage (){
    echo ""
    echo "Usage: $0 <stereodirs.lis> <max-displacement> <demgsd>"
    echo " Where <stereodirs.lis> is a file containing the name of the subdirectories to loop over, 1 per line"
    echo " <max-displacement> is the maximum displacement to pass to pc_align (type pc_align --help for details)"
    echo " <demgsd> is the target resoultion in mpp for the final DEM product, for ctx either 24 or 18 generally"
    echo "  Subdirectories containing stereopairs must all exist within the same root directory"
    echo "  Furthermore, the names listed in <stereodirs.lis> will be used as the file prefix for output generated by this script"
}

##########################################
# begin parsing arguments

# 1 is stereo.default file
# 2 is the maximum displacement

if [[ $# != 3 ]] ; then
    # print usage message and exit
    print_usage
    exit 0
fi


##########################################
# begin calling commands
echo "Start ctx_pipeline_part_two $(date)"

step1 $1 $2 $3

# done
##########################################
echo "End   ctx_pipeline_part_two $(date)"